> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Booking Parameters



## OpenAPI

````yaml /openapi/tourbuilder-api.openapi.json get /tourbuilder/v1/tdms/bookingdetails/{productIdentifier}
openapi: 3.0.0
info:
  description: '"Tour Builder"'
  version: 1.0.0
  title: TOUR BUILDER API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //tourbuilder.adventium.tech:8082
security: []
tags:
  - name: booking-controller
    description: Booking Controller
  - name: builder-controller
    description: Builder Controller
  - name: index-controller
    description: Index Controller
  - name: tapapi-controller
    description: TAPAPI Controller
  - name: tdmsebs-controller
    description: TDMSEBS Controller
paths:
  /tourbuilder/v1/tdms/bookingdetails/{productIdentifier}:
    get:
      tags:
        - tdmsebs-controller
      summary: Booking Parameters
      operationId: getBookingParametersUsingGET
      parameters:
        - name: productIdentifier
          in: path
          description: productIdentifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookingParametersResponse'
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    BookingParametersResponse:
      type: object
      properties:
        additionalFields:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalField'
        bookingTimes:
          type: array
          items:
            $ref: '#/components/schemas/BookingTime'
        pickupLocations:
          type: array
          items:
            $ref: '#/components/schemas/PickupLocation'
      title: BookingParametersResponse
    AdditionalField:
      type: object
      properties:
        additionalFieldId:
          type: string
        additionalFieldTitle:
          type: string
        mandatory:
          type: boolean
        options:
          type: array
          items:
            type: string
        type:
          type: string
      title: AdditionalField
    BookingTime:
      type: object
      properties:
        bookingTime:
          type: string
        bookingTimeId:
          type: string
        default:
          type: boolean
      title: BookingTime
    PickupLocation:
      type: object
      properties:
        pickupLocation:
          type: string
        pickupLocationId:
          type: string
        pickupTime:
          type: string
      title: PickupLocation

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.